Description

It's not possible to create a new shape layer. Firstly this warning appears:

Can't create a new layer
The new layer has been successfully created but can't load the new layer. Try to load yourself, please.

Then, if I try to load the new layer manually, another warning reports:

Unknown data type 's' of attribute 'Campo1   Ns' from 'Shapes'.

It seems due to an org.gvsig.fmap.dal.feature.exception.UnknownDataTypeException (see the gvSIG.log).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2672: DBF field names ma... Closed 07/14/2014

Associated revisions
Revision 41765 - 10/10/2014 11:07 AM - Joaquín  del Cerro Murciano

Correcciones al parche MAX_FIELD_NAME_LENGTH.patch del ticket #2672. refs #2672 , refs #2762, refs #2856.

History
#1 - 10/08/2014 03:51 AM - Antonio Falciano

The only way to create a new shape layer consists into skipping the creation of new fields (see #2695).
Then, if I start editing and try to add a field (e.g. Campo1 of String type) the same error appears:

Unknown data type 's' of attribute 'Campo1   Ns' from 'Shapes'.

#2 - 10/10/2014 11:09 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 10/10/2014 11:11 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2672: DBF field names max length is 11 instead of 10 added
#4 - 10/10/2014 11:13 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3

#5 - 10/13/2014 04:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2249-testing

#6 - 10/14/2014 09:48 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
cant_create_a_new_layer_2248.log 327 KB 10/07/2014 Antonio Falciano
